Package org.jbpm.services.task.rule

## Class TaskServiceRequest

- java.lang.Object
- - org.jbpm.services.task.rule.TaskServiceRequest

-     public class TaskServiceRequest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskServiceRequest​(String type, org.kie.api.task.model.User user, Map<String,​Object> parameters)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addReason​(String reason)` |
    `org.kie.internal.task.exception.TaskException` | `getException​(String message)` |
    `Class<? extends org.kie.internal.task.exception.TaskException>` | `getExceptionClass()` |
    `Object` | `getParameter​(String name)` |
    `Map<String,​Object>` | `getParameters()` |
    `List<String>` | `getReasons()` |
    `String` | `getType()` |
    `org.kie.api.task.model.User` | `getUser()` |
    `boolean` | `isAllowed()` |
    `void` | `setAllowed​(boolean allowed)` |
    `void` | `setExceptionClass​(Class<? extends org.kie.internal.task.exception.TaskException> exceptionClass)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskServiceRequest

          public TaskServiceRequest​(String type,
                                    org.kie.api.task.model.User user,
                                    Map<String,​Object> parameters)

  - ### Method Detail

    - #### getType

          public String getType()

    - #### getUser

          public org.kie.api.task.model.User getUser()

    - #### getParameters

          public Map<String,​Object> getParameters()

    - #### getParameter

          public Object getParameter​(String name)

    - #### isAllowed

          public boolean isAllowed()

    - #### setAllowed

          public void setAllowed​(boolean allowed)

    - #### getReasons

          public List<String> getReasons()

    - #### addReason

          public void addReason​(String reason)

    - #### getException

          public org.kie.internal.task.exception.TaskException getException​(String message)

    - #### getExceptionClass

          public Class<? extends org.kie.internal.task.exception.TaskException> getExceptionClass()

    - #### setExceptionClass

          public void setExceptionClass​(Class<? extends org.kie.internal.task.exception.TaskException> exceptionClass)